# encoding: utf-8

"""
opcvm_sdk -- OPCVM360 RESTFul API Client

@author:        Eric Pieuchot
@copyright:     Copyright 2016 Rubicubix Ltd
@license:       Apache-2.0
@contact:       contact@rubicubix.co.uk
"""

# Check required dependencies & libraries
_missing = []
_required = (
    'pandas',
    'requests',
    'simplejson',
)
for _lib in _required:
    try:
        _mod = __import__(_lib)
        del _mod
    except ImportError:
        _missing.append(_lib)
    finally:
        del _lib
if bool(_missing):
    raise ImportError("Missing lib(s): {0}".format(_missing))
del _required
del _missing

# Load required functions & objects
from opcvm_sdk.services import OpcvmService
from opcvm_sdk.client import ApiException
