# encoding: utf-8

"""
opcvm_sdk.config

@author:        Eric Pieuchot
@copyright:     Copyright 2016 Rubicubix Ltd
@license:       Apache-2.0
@contact:       contact@rubicubix.co.uk
"""

from os import getenv


API_USERNAME = getenv('OPCVM_API_USERNAME', 'NoUsername')
API_PASSWORD = getenv('OPCVM_API_PASSWORD', 'NoPassword')


class Config(object):
    """Api configuration class"""

    def __init__(self):
        # Default Base url
        self.host = 'http://services.opcvm360.com/api-v1/'
        # API Resources
        self.fundshare = 'fundshares'
        self.history = 'fundshares-history'
        # Username for HTTP basic authentication
        self.username = API_USERNAME
        # Password for HTTP basic authentication
        self.password = API_PASSWORD
        # Timeout request in seconds
        self.timeout = 3.0
        # Isin length
        self.isinlength = 12
        # Date format
        self.format = '%Y-%m-%d'
