# encoding: utf-8

"""
opcvm_sdk.decorator

@author:        Eric Pieuchot
@copyright:     Copyright 2016 Rubicubix Ltd
@license:       Apache-2.0
@contact:       contact@rubicubix.co.uk
"""

from opcvm_sdk.client import ApiException
from opcvm_sdk.models import History

from pandas import DataFrame


def to_dataframe(func):

    def _wrapper(*args, **kwargs):

        _result = func(*args, **kwargs)
        _data = {}
        for _model in _result:
            if isinstance(_model, History):
                _values = {}
                for _type in _model._api_types:
                    if _type[0] != 'date':
                        _values[_type[0]] = getattr(_model, _type[0])
                _data[_model.date] = _values
                del _values
            else:
                _msg = "Method not implemented for '{0}'".format(
                    type(_model)
                )
                raise ApiException(status=0, reason=_msg)
        del _result
        _frame = DataFrame(data=_data).T
        return _frame

    return _wrapper
