# encoding: utf-8

"""
opcvm_sdk.models

@author:        Eric Pieuchot
@copyright:     Copyright 2016 Rubicubix Ltd
@license:       Apache-2.0
@contact:       contact@rubicubix.co.uk
"""


class Fundshare(object):
    """OPCVM360 Fundshare object"""

    # Property subset
    # http://services.opcvm360.com/api-v1-doc/fundshares
    _api_types = [
        ('idFundShare', int),
        ('idFund', int),
        ('name', str),
        ('isin', str),
        ('bloomberg', str),
        ('categoryOpcvmLibelle', str),
        ('currency', str),
        ('lastVl', float),
        ('lastVlDate', 'datetime'),
        ('firstVL', float),
        ('creationDate', 'datetime'),
    ]


class History(object):
    """OPCVM360 History object"""

    # Property subset
    # http://services.opcvm360.com/api-v1-doc/fundshares-history
    _api_types = [
        ('date', 'datetime'),
        ('vl', float),
        ('shares', float),
    ]
