# encoding: utf-8

"""
opcvm_sdk.test.test_fundshare

@author:        Eric Pieuchot
@copyright:     Copyright 2016 Rubicubix Ltd
@license:       Apache-2.0
@contact:       contact@rubicubix.co.uk
"""

from unittest import (
    main as testMain,
    TestCase,
)

from opcvm_sdk.services import OpcvmService
from opcvm_sdk.models import Fundshare


class TestFundshare(TestCase):
    """Fundshare unit tests"""

    def setUp(self):
        self.service = OpcvmService()
        self.isin = 'LU0068578508'
        self.id = 2373

    def tearDown(self):
        del self.service

    def test_fundshare_by_id(self):
        """Test case for get_fundshare_by_id"""
        _fundshare = self.service.get_fundshare_by_id(self.id)
        self.assertIsInstance(_fundshare, Fundshare)
        self.assertEqual(_fundshare.idFundShare, self.id)
        del _fundshare

    def test_fundshare_by_isin(self):
        """Test case for get_fundshare_by_isin"""
        _fundshare = self.service.get_fundshare_by_isin(self.isin)
        self.assertIsInstance(_fundshare, Fundshare)
        self.assertEqual(_fundshare.isin, self.isin)
        del _fundshare


if __name__ == '__main__':
    testMain()
